clang-tools 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::query::SetNonExclusiveOutputQuery Struct Reference

`#include <Query.h>`

Inheritance diagram for clang::query::SetNonExclusiveOutputQuery:
[legend]
Collaboration diagram for clang::query::SetNonExclusiveOutputQuery:
[legend]

## Public Member Functions
| SetNonExclusiveOutputQuery (QueryKind Kind, bool QuerySession::*Var, bool Value)
bool | run (llvm::raw_ostream &OS, QuerySession &QS) const override
| Perform the query on `QS` and print output to `OS`. More...
Public Member Functions inherited from clang::query::Query
| Query (QueryKind Kind)
virtual | ~Query ()

## Public Attributes
bool QuerySession::* | Var
bool | Value
Public Attributes inherited from clang::query::Query
const QueryKind | Kind

## Detailed Description

Definition at line 157 of file Query.h.

## Constructor & Destructor Documentation

## ◆ SetNonExclusiveOutputQuery()

clang::query::SetNonExclusiveOutputQuery::SetNonExclusiveOutputQuery | ( | QueryKind | Kind,
|  | bool QuerySession::* | Var,
|  | bool | Value
| ) |  |
| inline

Definition at line 158 of file Query.h.

## Member Function Documentation

## ◆ run()

bool clang::query::SetNonExclusiveOutputQuery::run | ( | llvm::raw_ostream & | OS,
|  | QuerySession & | QS
| ) |  | const
| inline override virtual

Perform the query on `QS` and print output to `OS`.

Returns
  false if an error occurs, otherwise return true.

Implements clang::query::Query.

Definition at line 161 of file Query.h.

## Member Data Documentation

## ◆ Value

bool clang::query::SetNonExclusiveOutputQuery::Value

Definition at line 167 of file Query.h.

## ◆ Var

bool QuerySession::* clang::query::SetNonExclusiveOutputQuery::Var

Definition at line 166 of file Query.h.

The documentation for this struct was generated from the following file:

- Query.h